Last Comment Bug 699155 - Tabs list ordering
: Tabs list ordering
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
: P2 normal (vote)
: ---
Assigned To: Sriram Ramasubramanian [:sriram]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-02 11:03 PDT by Wesley Johnston (:wesj)
Modified: 2012-01-09 15:23 PST (History)
5 users (show)
camelia.urian: in‑testsuite+
camelia.urian: in‑litmus+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Patch (2.96 KB, patch)
2011-11-02 23:44 PDT, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
Details | Diff | Splinter Review

Description Wesley Johnston (:wesj) 2011-11-02 11:03:37 PDT
Playing with context menus, I've opened links in background tabs and noticed that they often appear in the tabs list "out of order". I think maybe the simplest things is just to ensure that tabs show up in the order they were opened.
Comment 1 Sriram Ramasubramanian [:sriram] 2011-11-02 23:44:29 PDT
Created attachment 571567 [details] [diff] [review]
Patch

This patch gets the Tabs list in order and uses it for populating the list. HashMap doesnt always preserve the order.
Also, the values are copied into list's adapter. Having a reference can cause problems. Hence the values have to be copied.
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-03 05:38:08 PDT
Comment on attachment 571567 [details] [diff] [review]
Patch

I don't see any users of the HashMap getTabs call. Maybe we should just make getTabs return the ArrayList?
Comment 3 Sriram Ramasubramanian [:sriram] 2011-11-03 08:57:24 PDT
I too looked at the same. I thought of cleaning up Tabs along with changes that Lucas had proposed -- making it a normal class and not a singleton.
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-03 12:14:19 PDT
https://hg.mozilla.org/projects/birch/rev/388c49fba3fd
Comment 5 Aaron Train [:aaronmt] 2011-11-03 15:07:21 PDT
20111103121050
http://hg.mozilla.org/projects/birch/rev/d479ad392377
Samsung Nexus S (Android 2.3.6)
Comment 6 Wesley Johnston (:wesj) 2011-11-10 10:22:28 PST
These patches were backed while investigating Talos failures.  Now that tests are green again, we will need to reland.
Comment 7 Brad Lassey [:blassey] (use needinfo?) 2011-11-11 09:01:27 PST
backout was backed out https://hg.mozilla.org/projects/birch/rev/6f925b45a547
Comment 8 Aaron Train [:aaronmt] 2011-11-14 06:50:30 PST
20111114041052
http://hg.mozilla.org/projects/birch/rev/859ecdfe0168
Samsung Galaxy SII (Android 2.3.4)
Comment 9 Camelia Urian 2011-11-29 06:07:40 PST
Test case created in BFT - Tabbed Browsing:
https://litmus.mozilla.org/show_test.cgi?id=40430

Note You need to log in before you can comment on or make changes to this bug.